import Foundation
//import UIKit
import CoreText

public let fontBundle = Bundle.module

//public func registerFonts() {
//    _ = UIFont.registerFont(bundle: .module, fontName: "BeautifulPeople-Regular", fontExtension: "ttf")
//    _ = UIFont.registerFont(bundle: .module, fontName: "VeganStyle-Regular", fontExtension: "ttf")
//}

public func registerFonts() {
    registerFont("BeautifulPeople-Regular", fileExtension: "ttf")
    registerFont("VeganStyle-Regular", fileExtension: "ttf")
}


func registerFont(_ name: String, fileExtension: String) {
    guard let fontURL = Bundle.module.url(forResource: name, withExtension: fileExtension) else {
        print("No font named \(name).\(fileExtension) was found in the module bundle")
        return
    }

    var error: Unmanaged<CFError>?
    CTFontManagerRegisterFontsForURL(fontURL as CFURL, .process, &error)
    print(error ?? "Successfully registered font: \(name)")
}

//extension UIFont {
//    static func registerFont(bundle: Bundle, fontName: String, fontExtension: String) -> Bool {
//
//        guard let fontURL = bundle.url(forResource: fontName, withExtension: fontExtension) else {
//            fatalError("Couldn't find font \(fontName)")
//        }
//
//        guard let fontDataProvider = CGDataProvider(url: fontURL as CFURL) else {
//            fatalError("Couldn't load data from the font \(fontName)")
//        }
//
//        guard let font = CGFont(fontDataProvider) else {
//            fatalError("Couldn't create font from data")
//        }
//
//        var error: Unmanaged<CFError>?
//        let success = CTFontManagerRegisterGraphicsFont(font, &error)
//        guard success else {
//            print("Error registering font: \(fontName). Maybe it was already registered.")
//            return false
//        }
//
//        return true
//    }
//}

struct CustomFontsPackage {
    var text = "Hello, World!"
}
